Back to YouTube
TikHub·YouTube
YouTube Web V2: General search V2
/api/v1/youtube/web_v2/get_general_search_v2sync$0.003 / callSearch YouTube videos, Shorts, channels, and playlists. Returns cleaned structured data (compared to getgeneralsearch which returns raw data). Supports multiple filter conditions and sorting options. Supports pagination for loading more results (TikHub · YouTube Web V2)
Input
keywordstringSearch keyword (required for first request)
continuation_tokenstringContinuation token for next page
upload_datestringUpload date filter
typestringType filter
durationstringDuration filter: short (<4min), medium (4-20min), long (20min)
featuresstringFeature filter (comma separated): live, 4k, hd, subtitles, creativecommons, 360, vr180, 3d, hdr
sort_bystringSort by
| Field | Type | Required | Description |
|---|---|---|---|
| keyword | string | — | Search keyword (required for first request) |
| continuation_token | string | — | Continuation token for next page |
| upload_date | string | — | Upload date filter |
| type | string | — | Type filter |
| duration | string | — | Duration filter: short (<4min), medium (4-20min), long (20min) |
| features | string | — | Feature filter (comma separated): live, 4k, hd, subtitles, creativecommons, 360, vr180, 3d, hdr |
| sort_by | string | — | Sort by |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_general_search_v2","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.